# Method: buyers.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.ListBuyersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#try-it)

Lists all buyer account information the calling buyer user or service account is permissioned to manage.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/buyers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of buyers to return. If unspecified, at most 100 buyers will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` A token identifying a page of results the server should return. This value is received from a previous `buyers.list` call in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.ListBuyersResponse.FIELDS.next_page_token`. |

### Request body

The request body must be empty.

### Response body

A response containing buyer account information.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "buyers": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers#Buyer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `buyers[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers#Buyer`)`` List of buyers. |
| `nextPageToken` | `string` A token which can be passed to a subsequent call to the `buyers.list` method to retrieve the next page of results in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/buyers/list#body.QUERY_PARAMETERS.page_token`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`